Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Interface POCDMT000040HealthCareFacility

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  POCDMT000040HealthCareFacilityImpl

    public interface POCDMT000040HealthCareFacility

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'POCDMT000040 Health Care Facility'.

The following features are supported:

- `Realm Code`
- `Type Id`
- `Template Id`
- `Id`
- `Code`
- `Location`
- `Service Provider Organization`
- `Class Code`
- `Null Flavor`

See Also:
  `CDAR2Package.getPOCDMT000040HealthCareFacility()`

Method Summary
`RoleClassServiceDeliveryLocation` | `getClassCode()` Returns the value of the 'Class Code' attribute.
`CE` | `getCode()` Returns the value of the 'Code' containment reference.
`org.eclipse.emf.common.util.EList` | `getId()` Returns the value of the 'Id' containment reference list.
`POCDMT000040Place` | `getLocation()` Returns the value of the 'Location' containment reference.
`org.eclipse.emf.common.util.Enumerator` | `getNullFlavor()` Returns the value of the 'Null Flavor' attribute.
`org.eclipse.emf.common.util.EList` | `getRealmCode()` Returns the value of the 'Realm Code' containment reference list.
`POCDMT000040Organization` | `getServiceProviderOrganization()` Returns the value of the 'Service Provider Organization' containment reference.
`org.eclipse.emf.common.util.EList` | `getTemplateId()` Returns the value of the 'Template Id' containment reference list.
`POCDMT000040InfrastructureRootTypeId` | `getTypeId()` Returns the value of the 'Type Id' containment reference.
`boolean` | `isSetClassCode()` Returns whether the value of the '`Class Code`' attribute is set.
`void` | `setClassCode(RoleClassServiceDeliveryLocation value)` Sets the value of the '`Class Code`' attribute.
`void` | `setCode(CE value)` Sets the value of the '`Code`' containment reference.
`void` | `setLocation(POCDMT000040Place value)` Sets the value of the '`Location`' containment reference.
`void` | `setNullFlavor(org.eclipse.emf.common.util.Enumerator value)` Sets the value of the '`Null Flavor`' attribute.
`void` | `setServiceProviderOrganization(POCDMT000040Organization value)` Sets the value of the '`Service Provider Organization`' containment reference.
`void` | `setTypeId(POCDMT000040InfrastructureRootTypeId value)` Sets the value of the '`Type Id`' containment reference.
`void` | `unsetClassCode()` Unsets the value of the '`Class Code`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getRealmCode

    org.eclipse.emf.common.util.EList getRealmCode()

  Returns the value of the 'Realm Code' containment reference list. The list contents are of type `CS1`.

  If the meaning of the 'Realm Code' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Realm Code' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040HealthCareFacility_RealmCode()`

### getTypeId

    POCDMT000040InfrastructureRootTypeId getTypeId()

  Returns the value of the 'Type Id' containment reference.

  If the meaning of the 'Type Id' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Type Id' containment reference.
  See Also:
    `setTypeId(POCDMT000040InfrastructureRootTypeId)`, `CDAR2Package.getPOCDMT000040HealthCareFacility_TypeId()`

### setTypeId

    void setTypeId(POCDMT000040InfrastructureRootTypeId value)

  Sets the value of the '`Type Id`' containment reference.

  Parameters:
    `value` - the new value of the 'Type Id' containment reference.
  See Also:
    `getTypeId()`

### getTemplateId

    org.eclipse.emf.common.util.EList getTemplateId()

  Returns the value of the 'Template Id' containment reference list. The list contents are of type `II`.

  If the meaning of the 'Template Id' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Template Id' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040HealthCareFacility_TemplateId()`

### getId

    org.eclipse.emf.common.util.EList getId()

  Returns the value of the 'Id' containment reference list. The list contents are of type `II`.

  If the meaning of the 'Id' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Id' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040HealthCareFacility_Id()`

### getCode

    CE getCode()

  Returns the value of the 'Code' containment reference.

  If the meaning of the 'Code' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Code' containment reference.
  See Also:
    `setCode(CE)`, `CDAR2Package.getPOCDMT000040HealthCareFacility_Code()`

### setCode

    void setCode(CE value)

  Sets the value of the '`Code`' containment reference.

  Parameters:
    `value` - the new value of the 'Code' containment reference.
  See Also:
    `getCode()`

### getLocation

    POCDMT000040Place getLocation()

  Returns the value of the 'Location' containment reference.

  If the meaning of the 'Location' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Location' containment reference.
  See Also:
    `setLocation(POCDMT000040Place)`, `CDAR2Package.getPOCDMT000040HealthCareFacility_Location()`

### setLocation

    void setLocation(POCDMT000040Place value)

  Sets the value of the '`Location`' containment reference.

  Parameters:
    `value` - the new value of the 'Location' containment reference.
  See Also:
    `getLocation()`

### getServiceProviderOrganization

    POCDMT000040Organization getServiceProviderOrganization()

  Returns the value of the 'Service Provider Organization' containment reference.

  If the meaning of the 'Service Provider Organization' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Service Provider Organization' containment reference.
  See Also:
    `setServiceProviderOrganization(POCDMT000040Organization)`, `CDAR2Package.getPOCDMT000040HealthCareFacility_ServiceProviderOrganization()`

### setServiceProviderOrganization

    void setServiceProviderOrganization(POCDMT000040Organization value)

  Sets the value of the '`Service Provider Organization`' containment reference.

  Parameters:
    `value` - the new value of the 'Service Provider Organization' containment reference.
  See Also:
    `getServiceProviderOrganization()`

### getClassCode

    RoleClassServiceDeliveryLocation getClassCode()

  Returns the value of the 'Class Code' attribute. The default value is `"SDLOC"`. The literals are from the enumeration `RoleClassServiceDeliveryLocation`.

  If the meaning of the 'Class Code' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Class Code' attribute.
  See Also:
    `RoleClassServiceDeliveryLocation`, `isSetClassCode()`, `unsetClassCode()`, `setClassCode(RoleClassServiceDeliveryLocation)`, `CDAR2Package.getPOCDMT000040HealthCareFacility_ClassCode()`

### setClassCode

    void setClassCode(RoleClassServiceDeliveryLocation value)

  Sets the value of the '`Class Code`' attribute.

  Parameters:
    `value` - the new value of the 'Class Code' attribute.
  See Also:
    `RoleClassServiceDeliveryLocation`, `isSetClassCode()`, `unsetClassCode()`, `getClassCode()`

### unsetClassCode

    void unsetClassCode()

  Unsets the value of the '`Class Code`' attribute.

  See Also:
    `isSetClassCode()`, `getClassCode()`, `setClassCode(RoleClassServiceDeliveryLocation)`

### isSetClassCode

    boolean isSetClassCode()

  Returns whether the value of the '`Class Code`' attribute is set.

  Returns:
    whether the value of the 'Class Code' attribute is set.
  See Also:
    `unsetClassCode()`, `getClassCode()`, `setClassCode(RoleClassServiceDeliveryLocation)`

### getNullFlavor

    org.eclipse.emf.common.util.Enumerator getNullFlavor()

  Returns the value of the 'Null Flavor' attribute.

  If the meaning of the 'Null Flavor' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Null Flavor' attribute.
  See Also:
    `setNullFlavor(Enumerator)`, `CDAR2Package.getPOCDMT000040HealthCareFacility_NullFlavor()`

### setNullFlavor

    void setNullFlavor(org.eclipse.emf.common.util.Enumerator value)

  Sets the value of the '`Null Flavor`' attribute.

  Parameters:
    `value` - the new value of the 'Null Flavor' attribute.
  See Also:
    `getNullFlavor()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD